import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  color: Animatable("#fff"),
  toggle: true
});

export const Toggle: Override = () => {
  return {
    background: data.color,
    onTap() {
      const toggle = data.toggle;
      animate.spring(
        { rotationY: data.rotationY },
        {
          rotationY: toggle ? 360 : 0
        },
        { tension: 200, friction: 20 }
      );
      data.toggle = !toggle;
    }
  };
};
