import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  color: Animatable("green"),
  label: "ON",
  toggle: true
});

export const ButtonText: Override = () => {
  return {
    text: data.label
  };
};

export const Button: Override = () => {
  return {
    background: data.color,
    onTap() {
      const animateToColor = data.toggle ? "red" : "green";
      animate(data.color, animateToColor);
      data.label = data.toggle ? "OFF" : "ON";
      data.toggle = !data.toggle;
    }
  };
};
